Server Blocklist
List blocked accounts by server
Parameters
startinteger>= 0queryOffset used to paginate results
countinteger[1, 100]15queryNumber of items to return
sortstringquerySort column
subscriptionNamestringqueryResponse
successful operation
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Scopes: admin
Block an account by server
Body
accountNamestringrequiredaccount to block, in the form username@domain
chocobozzz@example.orgResponse
successful operation
self-blocking forbidden
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Scopes: admin
Unblock an account by server
Parameters
accountNamestringrequiredpathaccount to unblock, in the form username@domain
Response
successful operation
account or account block does not exist
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Scopes: admin
List blocked servers by server
Parameters
startinteger>= 0queryOffset used to paginate results
countinteger[1, 100]15queryNumber of items to return
sortstringquerySort column
subscriptionNamestringqueryResponse
successful operation
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Scopes: admin
Block a server by server
Body
hoststring<hostname>requiredserver domain to block
Response
successful operation
self-blocking forbidden
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Scopes: admin
Unblock a server by server
Parameters
hoststring<hostname>requiredpathserver domain to unblock
Response
successful operation
server block does not exist
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Scopes: admin
List server blocklist subscriptions
Parameters
startinteger>= 0queryOffset used to paginate results
countinteger[1, 100]15queryNumber of items to return
sortstringquerySort column
searchstringqueryPlain text search, applied to various parts of the model depending on endpoint
Response
successful operation
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Scopes: admin
Add a server blocklist subscription
Body
urlstring<url>requiredResponse
successful operation
subscription already exists
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Scopes: admin
Delete a server blocklist subscription
Parameters
idintegerrequiredpathResponse
successful operation
subscription does not exist
Authorization
OAuth2oauth2Authenticating via OAuth requires the following steps:
- Have an activated account
- Generate an access token for that account at
/api/v1/users/token. - Make requests with the Authorization: Bearer <token> header
- Profit, depending on the role assigned to the account
Note that the access token is valid for 1 day and is given along with a refresh token valid for 2 weeks.
Scopes: admin
List publicly shared server blocklist log entries
Parameters
startDatestring<date-time>requiredqueryResponse
successful operation
public log is disabled
